aboutsummaryrefslogtreecommitdiff
path: root/toolchain/dependencies
diff options
context:
space:
mode:
authorGravatar Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-02-09 12:32:21 +0000
committerGravatar Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-02-09 12:32:21 +0000
commit078013d8aea5f30ee5ad9435561231d972ef2c88 (patch)
treef1dd1c96fed12120e287caba73f5727387af9dea /toolchain/dependencies
parent13e893d13b2e80819b01e361a322418b0387bf1f (diff)
downloadbuildroot-078013d8aea5f30ee5ad9435561231d972ef2c88.tar.gz
buildroot-078013d8aea5f30ee5ad9435561231d972ef2c88.tar.bz2
- add purely informational check of HOSTCXX
Diffstat (limited to 'toolchain/dependencies')
-rwxr-xr-xtoolchain/dependencies/dependencies.sh29
1 files changed, 28 insertions, 1 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index 47147a46d4..18970e92cf 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-
+# vi: set sw=4 ts=4:
#set -x
echo ""
@@ -175,6 +175,33 @@ echo "C compiler '$COMPILER'"
echo "C compiler version '$COMPILER_VERSION': Ok"
+# check for host CXX
+CXXCOMPILER=$(which $HOSTCXX)
+if [ -z "$CXXCOMPILER" ] ; then
+ CXXCOMPILER=$(which c++)
+fi
+if [ -z "$CXXCOMPILER" ] ; then
+ echo "C++ Compiler installed: FALSE"
+ /bin/echo -e "\nYou may have to install 'g++' on your build machine\n"
+ #exit 1
+fi
+if [ ! -z "$CXXCOMPILER" ] ; then
+ CXXCOMPILER_VERSION=$($CXXCOMPILER --version 2>&1 | head -n1 | $XSED -e 's/^.*(.CC) \([0-9\.]\)/\1/g' -e "s/[-\ ].*//g")
+ if [ -z "$CXXCOMPILER_VERSION" ] ; then
+ echo "c++ installed: FALSE"
+ /bin/echo -e "\nYou may have to install 'g++' on your build machine\n"
+ #exit 1
+ fi
+
+ CXXCOMPILER_MAJOR=$(echo $CXXCOMPILER_VERSION | $XSED -e "s/\..*//g")
+ CXXCOMPILER_MINOR=$(echo $CXXCOMPILER_VERSION | $XSED -e "s/^$CXXCOMPILER_MAJOR\.//g" -e "s/\..*//g")
+ if [ $CXXCOMPILER_MAJOR -lt 3 -o $CXXCOMPILER_MAJOR -eq 2 -a $CXXCOMPILER_MINOR -lt 95 ] ; then
+ echo "You have g++ '$CXXCOMPILER_VERSION' installed. g++ >= 2.95 is required"
+ exit 1
+ fi
+ echo "C++ compiler '$CXXCOMPILER'"
+ echo "C++ compiler version '$CXXCOMPILER_VERSION': Ok"
+fi
#############################################################
#